<script>
    //Inscription
    $('#btn_submit_formeleve').on('click', function() {
        $('#formeleve').validate({
            rules: {
                nom: {
                    required: true,
                },
                prenom: {
                    required: true,
                },
                date_naissance: {
                    required: true,
                },
                lieu_naissance: {
                    required: true,
                },
                adresse: {
                    required: true,
                },
                tuteur: {
                    required: true,
                },
                tel_tuteur: {
                    required: true,
                },
                classe: {
                    required: true,
                },
                inscription: {
                    required: true,
                },
                mensualite: {
                    required: true,
                },
            },
            messages: {
                nom: {
                    required: "Le nom est obligatoire!",
                },
                prenom: {
                    required: "Le prénom est obligatoire!",
                },
                date_naissance: {
                    required: "La date de naissance est obligatoire!",
                },
                lieu_naissance: {
                    required: "Le lieu de naissance est obligatoire!",
                },
                adresse: {
                    required: "L'adresse est obligatoire!",
                },
                tuteur: {
                    required: "Le prénom et le nom du tuteur sont obligatoires!",
                },
                tel_tuteur: {
                    required: "Le téléphone du tuteur est obligatoire!",
                },
                classe: {
                    required: "La classe est obligatoire!",
                },
                inscription: {
                    required: "Le montant de l'inscription est obligatoire",
                },
                mensualite: {
                    required: "Le montant de la mensualite est obligatoire",
                },
            },
            submitHandler: function() {
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });

                $.ajax({
                    url: "/accueil/inscription",
                    type: "POST",
                    dataType: 'json',
                    beforeSend: function() {
                        $('#loader').removeClass('is-hidden')
                        $('*').css('pointer-events', 'none')
                    },
                    complete: function() { // Set our complete callback, adding the .hidden class and hiding the spinner.
                        $('#loader').addClass('is-hidden')
                        $('*').css('pointer-events', 'all')
                    },
                    data: {
                        nom: $('#nom_id').val(),
                        prenom: $('#prenom_id').val(),
                        date_naissance: $('#date_naissance_id').val(),
                        lieu_naissance: $('#lieu_naissance_id').val(),
                        adresse: $('#adresse_id').val(),
                        tuteur: $('#tuteur_id').val(),
                        tel_tuteur: $('#tel_tuteur_id').val(),
                        autre_tel: $('#autre_tel_id').val(),
                        classe_id: $('#classe_id').val(),
                        inscription: Number($('#inscription_id').val().replace(/\s/g, '')),
                        mensualite: Number($('#mensualite_id').val().replace(/\s/g, '')),
                    },
                    success: function(response) {
                        if (response == true) {
                            window.location.replace('/accueil');
                        }
                    },
                    error: function(response) {
                        console.log(response);
                    }
                });
            }
        });
    });

    var cleave = new Cleave('#tel_tuteur_id', {
        phone: true,
        phoneRegionCode: 'SN'
    });

    var cleave = new Cleave('#autre_tel_id', {
        phone: true,
        phoneRegionCode: 'SN'
    });

    var cleave = new Cleave('#inscription_id', {
        delimiter: ' ',
        numeral: true,
        numeralThousandsGroupStyle: 'thousand'
    });

    var cleave = new Cleave('#mensualite_id', {
        delimiter: ' ',
        numeral: true,
        numeralThousandsGroupStyle: 'thousand'
    });
</script>
<?php /**PATH /home/dide1435/luqman.upschool-sn.com/resources/views//partials/inscriptionJs.blade.php ENDPATH**/ ?>